Skip to content

HTTPS Stream Tool

Most stream providers do not support HTTPS content. The Radio Hub offers an HTTPS streaming proxy so streams can be embedded on secure (HTTPS) websites.

Use the endpoint below with either predefined stream links from the manage panel or manually configured stream URLs.

Endpoint

Base URL

https://stream.theradiohub.com/

Use these links to directly target a specific stream quality for a specific radio station, even if the underlying stream URL changes behind the scenes:

https://stream.theradiohub.com//

Example

https://stream.theradiohub.com/radiohaugaland/hq

Supported quality values:

  • flac
  • hq
  • mq
  • lq
  • aac1
  • aac2
  • xhe
  • hls
  • hls_backup

Manually configured stream URLs

When not using predefined links, you can pass the stream details as query parameters.

ParameterRequiredDescription
serverYesThe stream URL/server. Can be an IP address or domain name. If this does not start with https:// or http://, http:// will be used.
portNoStream port (for example 8000).
typeNo (default: mp3)Used for correct stream MIME type designation. Supported types: mp3, flac, aac, hls.
mountNoExtra URL segment, for example stream/high.

Example request

http
GET /?server=127.0.0.1&port=8000&type=aac&mount=stream/; HTTP/1.1
Host: stream.theradiohub.com

Proxied URL (origin request)

http://127.0.0.1:8000/stream/;

Security

You can recognize proxied requests from The Radio Hub Stream Proxy server in a few ways:

  • The User-Agent is RadioHubStreamProxy/1.0.
  • The header X-Proxy-Auth-Key is set to xFTdql6Iqjgq5GvFiPhUppio8h5ABjss.
  • The origin IP address is in the AWS IP ranges. Only European origins are used.